metadata:
    name: shell_custom
    format: "Lava-Test-Shell Test Definition 1.0"
    description: "Run monkey test long time with blacklist"
    maintainer:
        - yongqin.liu@linaro.org
    os:
        - android
    scope:
        - functional
    devices:
        - wg

params:
    SHELL_COMMAND: "sleep 3600"

run:
    steps:
        - lava-test-case cd-data --shell cd /data
        - lava-test-case iozone --shell iozone -R -a -b /data/iozone_data.xls -+r
        - lava-test-case tar --shell tar cvf /data/iozone_data.xls.tar /data/iozone_data.xls
        - lava-test-run-attach /data/iozone_data.xls.tar application/x-gzip
